#
Prev |  | Next

# button

## Name

button -- A widget which executes a command when clicked.

## Synopsis

button [`-option` `value`...]

## Screenshot

## Options

-activeBackgroundColor

  type: color

  Background color. DISCLAIMER_COLOR

-data

  type: string

  User defined data which can be retrieved via the cget subcommand.

-hasFocus

  type: 1

  This sets the focus to the widget. To unset the focus it must be set to another widet.

-heightGroup

  type: string (default: "")

  heightGroup can be an arbitrary string. All widgets with the same heightGroup request the same height. If packed with the fill flag set, they will have nevertheless different heights.

-icon

  type: percent-string (default: "")

  Image to be shown, can be either a file (prefix "%/") or a stock item (prefix "%#").

-name

  type: string

  Name of the widget, can be used to set options in an rc file.

-normalBackgroundColor

  type: color

  Background color. DISCLAIMER_COLOR

-onButtonPress

  type: string (default: "")

  Tcl script which is executed if a mouse button is press inside the widget.

  Before evaluation the following percent strings are substituated:

| %w | widget name of the parent the handlebox
| %t | type of event. One of buttonPress, button2Press or button3Press
| %x | x coordinate
| %y | y coordinate
| %b | button number
| %s | state of the buttons and modifiers (bitmask)

-onButtonRelease

  type: string (default: "")

  Tcl script which is executed if a mouse button is released inside the widget.

  Before evaluation the following percent strings are substituated:

| %w | widget name of the parent the handlebox
| %t | type of event. One of buttonPress, button2Press or button3Press
| %x | x coordinate
| %y | y coordinate
| %b | button number
| %s | state of the buttons and modifiers (bitmask)

-onClicked

  type: string (default: "")

  Tcl script which is executed if the button is clicked.

  Before evaluation the following percent strings are substituted:

| %w | widget name of the parent the handlebox

-onEnter

  Tcl script which is executed whenever the mouse pointer enters the button.

  Before evaluation the following percent strings are substituated:

| %w | widget name of the parent the handlebox
| %x | x coordinate
| %y | y coordinate
| %s | state of the buttons and modifiers (bitmask)

-onLeave

  Tcl script which is executed whenever the mouse pointer leaves the button.

  Before evaluation the following percent strings are substituated:

| %w | widget name of the parent the handlebox
| %x | x coordinate
| %y | y coordinate
| %s | state of the buttons and modifiers (bitmask)

-onPopupMenu

  type: string (default: "")

  Tcl script which is executed if the "popup-menu" signal is recieved, which is normally the case if the user presses Shift-F10.

  Before evaluation the following percent strings are substituated:

| %w | widget name of the parent the handlebox

-onRealize

  type: string (default: "")

  Tcl script whih is executed in the global scope if the widget has been realized.

  Before evaluation the following percent strings are substituated:

| %w | widget name of the parent the handlebox

-onShowHelp

  type: string (default: "")

  Tcl script which is executed in the global scope if the "show-help" signal is recieved, which is normally the case if the user presses F1 or Ctrl-F1.

  Before evaluation the following percent strings are substituated:

| %w | widget name of the parent the handlebox
| %h | help type: either "whatsThis" or "tooltip".

-prelightBackgroundColor

  type: color

  Background color. DISCLAIMER_COLOR

-relief

  type: ONEOF normal, half, none (default: normal)

  Relief of the button.

-sensitive

  type: boolean (default: 1)

  Whether or not the item is sensitve to user input.

-sizeGroup

  type: string (default: "")

  sizeGroup can be an arbitrary string. All widgets with the same sizeGroup request the same size. If packed with the fill flag set, they will have nevertheless different sizes.

-text

  type: percent-string (default: "")

  Text or stock item of the button.

-tooltip

  type: string

  Message that appear next to this widget when the mouse pointer is held over it for a short amount of time.

-visible

  type: boolean (default: 1)

  Whether or not the item is visible.

-widthGroup

  type: string (default: "")

  widthGroup can be an arbitrary string. All widgets with the same widthGroup request the same width. If packed with the fill flag set, they will have nevertheless different widths.

## Description

A button widget executes a command on mouse click.

## Commands

`id` cget `option`

  Returns the value for one option. The option may have any of the values accepted by configure.

`id` configure [`-option` `value`...]

  Configures the widget. Option may have any of the values accepted on creation of the widget.

`id` delete

  Deletes the widget and the associated tcl command.

`id` onClicked

  Executes the Tcl command associated with the button if there is one. This command is ignored if the button's state is not sensitive.

## Example

    set box [gnocl::box -buttonType 1]
    $box add [gnocl::button -text "%_Do_n't save" -icon "%#No"]
    $box add [gnocl::button -text "%#Cancel"]
    $box add [gnocl::button -text "%#Save"]
    gnocl::window -title "Buttons" -child $box

results in

## See also

checkButton, radioButton, `GtkButton`

Prev | Home | Next
Commands | Up | checkButton